package com.ruoyi.system.mapper;

import com.ruoyi.system.entity.BpmProcess;

import java.util.List;

/**
 * 流程定义Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-10
 */
public interface BpmProcessMapper 
{
    /**
     * 查询流程定义
     * 
     * @param processId 流程定义主键
     * @return 流程定义
     */
    public BpmProcess selectBpmProcessByProcessId(Long processId);

    /**
     * 查询流程定义列表
     * 
     * @param bpmProcess 流程定义
     * @return 流程定义集合
     */
    public List<BpmProcess> selectBpmProcessList(BpmProcess bpmProcess);

    /**
     * 新增流程定义
     * 
     * @param bpmProcess 流程定义
     * @return 结果
     */
    public int insertBpmProcess(BpmProcess bpmProcess);

    /**
     * 修改流程定义
     * 
     * @param bpmProcess 流程定义
     * @return 结果
     */
    public int updateBpmProcess(BpmProcess bpmProcess);

    /**
     * 删除流程定义
     * 
     * @param processId 流程定义主键
     * @return 结果
     */
    public int deleteBpmProcessByProcessId(Long processId);

    /**
     * 批量删除流程定义
     * 
     * @param processIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBpmProcessByProcessIds(Long[] processIds);

}
